//
// $Id: BureauCredentials.java 6776 2012-02-03 21:25:13Z mdb $
//
// Narya library - tools for developing networked games
// Copyright (C) 2002-2012 Three Rings Design, Inc., All Rights Reserved
// http://code.google.com/p/narya/
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation; either version 2.1 of the License, or
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

package com.threerings.bureau.data;

import com.threerings.presents.net.ServiceCreds;

/**
 * Extends the basic credentials to provide bureau-specific fields.
 */
public class BureauCredentials extends ServiceCreds
{
    /**
     * Creates new credentials for a specific bureau.
     */
    public BureauCredentials (String bureauId, String sharedSecret)
    {
        super(bureauId, sharedSecret);
    }

    /**
     * Creates an empty credentials for streaming. Should not be used directly.
     */
    public BureauCredentials ()
    {
    }
}
